from flask import Flask
from flask.templating import render_template
from app import app
from Users.models import User

# Routes that mostly interact with users

#verify the singup
@app.route('/user/signup_verify', methods=['POST'])
def signup_verify():
    return User().signup()

#logout
@app.route(('/user/signout'))
def signout():
    return User().signout()

#verify login
@app.route('/user/login_verify', methods=['POST'])
def login_verify():
    return User().login()